org.apache.cassandra.utils.btree

## Class BTreeSet.BTreeDescRange<V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.BTreeSet<V>
  - - org.apache.cassandra.utils.btree.BTreeSet.BTreeRange<V>
    - - org.apache.cassandra.utils.btree.BTreeSet.BTreeDescRange<V>

All Implemented Interfaces:
  java.lang.Iterable<V>, java.util.Collection<V>, java.util.List<V>, java.util.NavigableSet<V>, java.util.Set<V>, java.util.SortedSet<V>

Enclosing class:
  BTreeSet<V>

    public static class BTreeSet.BTreeDescRange<V>
    extends BTreeSet.BTreeRange<V>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.utils.btree.BTreeSet

`BTreeSet.BTreeDescRange<V>, BTreeSet.BTreeRange<V>, BTreeSet.Builder<V>`

### Field Summary

### Fields inherited from class org.apache.cassandra.utils.btree.BTreeSet.BTreeRange

`lowerBound, upperBound`

### Fields inherited from class org.apache.cassandra.utils.btree.BTreeSet

`comparator, tree`

### Method Summary

All Methods Instance Methods Concrete Methods
`V` `ceiling(V v)`
`java.util.Comparator<V>` `comparator()`
`BTreeSet<V>` `descendingSet()`
`V` `floor(V v)`
`V` `get(int index)` The converse of indexOf: provided an index between 0 and size, returns the i'th item, in set order.
`BTreeSet<V>` `headSet(V toElement, boolean inclusive)`
`V` `higher(V v)`
`int` `indexOf(java.lang.Object item)` The index of the item within the list, or its insertion point otherwise.
`V` `lower(V v)`
`protected BTreeSearchIterator<V,V>` `slice(BTree.Dir dir)`
`BTreeSet<V>` `subList(int fromIndex, int toIndex)`
`BTreeSet<V>` `subSet(V fromElement, boolean fromInclusive, V toElement, boolean toInclusive)`
`BTreeSet<V>` `tailSet(V fromElement, boolean inclusive)`
`<T> T[]` `toArray(T[] a, int offset)`

### Methods inherited from class org.apache.cassandra.utils.btree.BTreeSet.BTreeRange

`isEmpty, size, toArray`

### Methods inherited from class org.apache.cassandra.utils.btree.BTreeSet

`add, add, addAll, addAll, builder, clear, contains, containsAll, descendingIterator, empty, first, hashCode, headSet, iterator, last, lastIndexOf, listIterator, listIterator, of, of, of, pollFirst, pollLast, remove, remove, removeAll, retainAll, set, spliterator, subSet, tailSet, toArray, tree, update, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Set

`equals`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`equals, replaceAll, sort`

### Method Detail

#### slice

    protected BTreeSearchIterator<V,V> slice(BTree.Dir dir)

Overrides:
  `slice` in class `BTreeSet.BTreeRange<V>`

#### higher

    public V higher(V v)

Specified by:
  `higher` in interface `java.util.NavigableSet<V>`
Overrides:
  `higher` in class `BTreeSet.BTreeRange<V>`

#### ceiling

    public V ceiling(V v)

Specified by:
  `ceiling` in interface `java.util.NavigableSet<V>`
Overrides:
  `ceiling` in class `BTreeSet.BTreeRange<V>`

#### floor

    public V floor(V v)

Specified by:
  `floor` in interface `java.util.NavigableSet<V>`
Overrides:
  `floor` in class `BTreeSet.BTreeRange<V>`

#### lower

    public V lower(V v)

Specified by:
  `lower` in interface `java.util.NavigableSet<V>`
Overrides:
  `lower` in class `BTreeSet.BTreeRange<V>`

#### get

    public V get(int index)

Description copied from class: `BTreeSet`
The converse of indexOf: provided an index between 0 and size, returns the i'th item, in set order.

Specified by:
  `get` in interface `java.util.List<V>`
Overrides:
  `get` in class `BTreeSet.BTreeRange<V>`

#### indexOf

    public int indexOf(java.lang.Object item)

Description copied from class: `BTreeSet`
The index of the item within the list, or its insertion point otherwise. i.e. binarySearch semantics

Specified by:
  `indexOf` in interface `java.util.List<V>`
Overrides:
  `indexOf` in class `BTreeSet.BTreeRange<V>`

#### subList

    public BTreeSet<V> subList(int fromIndex,
                               int toIndex)

Specified by:
  `subList` in interface `java.util.List<V>`
Overrides:
  `subList` in class `BTreeSet.BTreeRange<V>`

#### subSet

    public BTreeSet<V> subSet(V fromElement,
                              boolean fromInclusive,
                              V toElement,
                              boolean toInclusive)

Specified by:
  `subSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `subSet` in class `BTreeSet.BTreeRange<V>`

#### headSet

    public BTreeSet<V> headSet(V toElement,
                               boolean inclusive)

Specified by:
  `headSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `headSet` in class `BTreeSet.BTreeRange<V>`

#### tailSet

    public BTreeSet<V> tailSet(V fromElement,
                               boolean inclusive)

Specified by:
  `tailSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `tailSet` in class `BTreeSet.BTreeRange<V>`

#### descendingSet

    public BTreeSet<V> descendingSet()

Specified by:
  `descendingSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `descendingSet` in class `BTreeSet.BTreeRange<V>`

#### comparator

    public java.util.Comparator<V> comparator()

Specified by:
  `comparator` in interface `java.util.SortedSet<V>`
Overrides:
  `comparator` in class `BTreeSet<V>`

#### toArray

    public <T> T[] toArray(T[] a,
                           int offset)

Overrides:
  `toArray` in class `BTreeSet.BTreeRange<V>`